Skip to main content
POST
/
2025-09
/
contacts
curl --request POST \
  --url https://public-api.stora.co/2025-09/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "full_name": "John Doe",
  "email": "john@doe.com",
  "tax_id": "123456789",
  "address": {
    "line_1": "123 Main St",
    "line_2": "Apt 4B",
    "city": "Anytown",
    "postal_code": "12345",
    "state": "CA",
    "country_alpha2": "US"
  },
  "type": "company",
  "marketing_source": "recommendation",
  "source": "walkin",
  "use_case": "more_space",
  "metadata": {
    "external_id": "crm_12345",
    "source": "api_import"
  }
}
'
{
  "contact": {
    "id": "con_0ac0514ed0711462",
    "address": {
      "city": "Anytown",
      "country_alpha2": "US",
      "line_1": "123 Main St",
      "line_2": "Apt 4B",
      "postal_code": "12345",
      "state": "CA"
    },
    "company_registration_number": null,
    "created_at": "2025-02-22T14:41:00Z",
    "email": "john@doe.com",
    "full_name": "John Doe",
    "marketing_source": "recommendation",
    "metadata": {
      "external_id": "crm_12345",
      "source": "api_import"
    },
    "phone_number": null,
    "source": "walkin",
    "stripe_customer_id": null,
    "tax_id": "123456789",
    "tenancies_count": 0,
    "type": "company",
    "updated_at": "2025-02-22T14:41:00Z",
    "use_case": "more_space"
  },
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Body

application/json

Create Contact Request

email
string<email>
required

The contact's email address

full_name
string | null

The contact's name

phone_number
string | null

The contact's phone number

tax_id
string | null

The contact's tax ID

Maximum string length: 30
company_registration_number
string | null

The contact's company registration number

Maximum string length: 30
type
enum<string> | null

The type of contact

Available options:
domestic,
company,
student,
charity,
local_authority
source
enum<string> | null

The source of the contact data

Available options:
pre_open,
incomplete_booking,
registered_interest,
price_interest,
quotation_request,
booking,
popup,
external_enquiry,
phone,
walkin,
import,
other
marketing_source
enum<string> | null

What channel did the contact find us through

Available options:
used_before,
recommendation,
received_leaflet,
seen_building_signs,
seen_advert,
facebook_marketplace,
google_search,
other_online_search,
social_media,
email,
radio,
other
use_case
enum<string> | null

Why does the contact require storage

Available options:
business_needs,
moving_home,
more_space,
refurb,
travelling,
other
address
object

Address

metadata
object

Set of key-value pairs for storing additional information on the contact. Learn more about metadata.

Response

contact successfully created (minimal)

Single Contact

contact
object

Contact

meta
object